FCGI::Client::RecordHeader(3pm)

NAME
FCGI::Client::RecordHeader - record header object for FCGI

SYNOPSIS
    my $header = FCGI::Client::RecordHeader->new(raw => $raw);
    say $header->type;

DESCRIPTION
This module is record header class for FCGI::Client.

ATTRIBUTES

raw the raw string of record header. size of record header is defined at FCGI::Client::Constant::FCGI_HEADER_LEN.

INSTANCE METHOD

$self->request_id()
$self->type()
$self->content_length()
$self->padding_length()
    These methods returns each field of record header.

SEE ALSO
FCGI::Client